org.apache.ignite.cache.eviction.igfs

## Class IgfsEvictionFilter

- java.lang.Object
- - org.apache.ignite.cache.eviction.igfs.IgfsEvictionFilter

All Implemented Interfaces:
  Serializable, EvictionFilter

    public class IgfsEvictionFilter
    extends Object
    implements EvictionFilter

IGFS eviction filter which will not evict blocks of particular files.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsEvictionFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evictAllowed(javax.cache.Cache.Entry entry)` Checks if entry may be evicted from cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsEvictionFilter

    public IgfsEvictionFilter()

### Method Detail

#### evictAllowed

    public boolean evictAllowed(javax.cache.Cache.Entry entry)

Checks if entry may be evicted from cache.

Specified by:
  `evictAllowed` in interface `EvictionFilter`
Parameters:
  `entry` - Cache entry.
Returns:
  `True` if it is allowed to evict this entry.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019